import { Constants } from "../../utils";
import { useNavigate, useParams } from "react-router-dom";
import { MyLazyLoadingModal } from "../../Components/MyModal";
import { useState } from "react";
import { Steps } from "antd";
import MyAttachments from "../../Components/MyAttachments";

export default function EquipmentViewModal({ isOpen }) {
  //const { t } = useTranslation();
  const navigate = useNavigate();
  let { paramEquipmentId } = useParams();

  const [equipment, setEquipment] = useState([]);

  const handleCancel = () =>
    navigate(Constants.ROUTE_PATHS.EQUIPMENT_DOCUMENTATION);

  console.log("equipment", equipment);

  return (
    <MyLazyLoadingModal
      isOpen={isOpen}
      onCancel={handleCancel}
      resultTitleNoDataFound={"Not found"}
      setFoundData={setEquipment}
      fetchUrl={`/equipment/documentation/${paramEquipmentId}`}
      fetchType={"GET"}
    >
      <h1>This is my children</h1>

      <Steps
        direction="vertical"
        current={1}
        items={[
          {
            title: "Finished",
            description: (
              <>
                <p style={{ color: "#000" }}>
                  <b>Started at:</b> 18.8.2023, 00:59:10
                  <br />
                  <b>Endet at:</b> 18.8.2023, 00:59:13
                  <br />
                  <b>Duration:</b> 3s 516ms
                </p>

                <MyAttachments
                  attachments={[
                    {
                      OriginalFileName: "test.png",
                      SystemFileName:
                        "e74fc0c4-4114-4d48-8ca2-5adb77d98ebe.jpg",
                    },
                  ]}
                  downloadUrl={`${Constants.STATIC_CONTENT_ADDRESS}grouptasks/df1fc270-485c-4d9a-8439-dc7fbc151f4c/`}
                />
              </>
            ),
          },
          {
            title: "In Progress",
            description: "This is a description.",
          },
        ]}
      />
    </MyLazyLoadingModal>
  );
}
